# Generated from rails-jquery-form-validator-0.1.0.gem by gem2rpm -*- rpm-spec -*-
%global gem_name rails-jquery-form-validator

Name: rubygem-%{gem_name}
Version: 0.1.0
Release: 1%{?dist}
Summary: Integrate the jQuery Form Validator plugin into the Rails asset pipeline
License: MIT
URL: https://github.com/bdmade/rails-jquery-form-validator
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby
BuildArch: noarch

%description
jQuery Form Validator is a feature rich jQuery plugin that makes it easy to
validate user input while keeping your HTML markup clean from javascript code.
Even though this plugin has a wide range of validation functions it's designed
to require as little  jQuery bandwidth as possible. This is achieved by
grouping together validation functions in 'modules', making it possible for
the programmer to load only .


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/



%check
pushd .%{gem_instdir}
# Run the test suite.
popd

%files
%dir %{gem_instdir}
%exclude %{gem_instdir}/.gitignore
%{gem_instdir}/.idea
%{gem_instdir}/CODE_OF_CONDUCT.md
%license %{gem_instdir}/LICENSE.txt
%{gem_libdir}
%{gem_instdir}/vendor
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%{gem_instdir}/Gemfile
%doc %{gem_instdir}/README.md
%{gem_instdir}/Rakefile
%{gem_instdir}/rails-jquery-form-validator.gemspec

%changelog
* Wed Apr 20 2022 mockbuilder - 0.1.0-1
- Initial package
